Subject: Re: git daemon directory munging?

From: "H. Peter Anvin" <[email-masked]>
Date: Sun, 04 Jun 2006 19:59:37 -0700

Jon Loeliger wrote:
>> Well, you can bind different git daemons to different IP addresses 
>> (IP-based vhosting) or different ports (with SRV records in DNS.)
> 
> Is there existing support for telling the git-daemon what
> specific IP to bind to out of an inetd setup and I just
> missed it?
> 

No, but that really should be added.  It's a pretty trivial hack.

> I could set that up realatively easily and gain the 
> functionality I wanted that way too.
> 
> I've also hacked in a host interpolation too.
> 
> But like you said, canonicalizing it and checking it is likely
> a bit of a pain.  I've side-stepped one angle of that by
> symlinking in my /pub directory for multiple different
> hostnames too.  :-)
> 

Doesn't work very well.  DNS is case-insensitive, and worse, there are 
the PunyCode aliases or whatever they're called.

	-hpa